// Uduotis:
// Parayti java klas, kurioje bt statinis metodas
// raantis binarine forma duot sveikj skaii masyv
//  duoto pavadinimo fail.

import java.io.*;

public class Rasyk
{

public static void intMasyva(String failas, int[] data)
{
 RandomAccessFile f = null;
 try
 {
	f = new RandomAccessFile(failas, "rw");
	int N = data.length;
	byte[] b = new byte[N*4]; 
	for (int n=0; n!=data.length; n++)
	{
		int d = data[n];
		for (int i=0; i!=4; i++)
		{
			b[4*n + i] = (byte) d;
			d >>= 8;
		}
	}
	f.write(b);
	f.close();
 }
 catch(IOException err)
 {
	System.err.println(failas + " yrasymo klaida: " + err);
	System.exit(1);
 }
}

public static void masyva(String failas, int[] data)
{
 DataOutputStream f = null;
 try
 {
	f = new DataOutputStream(new FileOutputStream(failas));
	for (int n=0; n!=data.length; n++)
	{
		f.writeInt(data[n]);
	}
	f.close();
 }
 catch(IOException err)
 {
	System.err.println(failas + " yrasymo klaida: " + err);
	System.exit(1);
 }
}

public final static void main(String[] args)
{
 Rasyk.intMasyva("data.bin", new int[]{10000, 300000, -400000000});
}

}